Subject: bug#76620: 30.1.50; mouse-1 mode-line bindings are unusable when point is on a button

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Mar 2025 11:50:20 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Spencer Baugh <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Fri, 28 Feb 2025 10:44:00 -0500
> 
> >> The mode-line (and header-line) binding was added to button.el in
> >> 24fc9480399b2d018e8d85f34e9c5d8c327ce3bf to support using buttons in the
> >> mode-line and header-line.  I suggest that we should remove those
> >> bindings, in favor of some other way to use button.el in the mode-line
> >> or header-line.  Especially because, from grepping through ~400 popular
> >> packages (the ones installed at my site), I see no usage of buttons in
> >> the mode-line or header-line.
> >
> > Adding Stefan to the discussion.
> 
> FWIW, I've used code which used the same text (with buttons) in
> the header-line and in the buffer.  But yeah, that was more an
> experiment than anything.  I don't think I still use such code.
> So, it's a "nice to have" but not if it breaks something else.

So, on balance, you think we should revert commit
24fc9480399b2d018e8d85f34e9c5d8c327ce3bf?